#/usr/bin/python3

import os
import re
import sys
import time
import pymysql
import requests
import json
import logging

#定义执行脚本目录
workpath = sys.path[0]
#print(workpath)
#平台名称
PLAT_NAME = sys.argv[1]
#执行php脚本获取的服务器ip 及游戏服id
f = os.popen("php %s/get_server_list.php %s" % (workpath,PLAT_NAME))
req_json = json.loads(f.read())
#print(type(req_json))
#print(req_json)
#定义服务器ip列表
server_ip_list = []
#定义传输文件名称列表
server_file = []

os.chdir(sys.path[0])
#os.system("pwd")
if not os.path.exists(r'./%s' % (PLAT_NAME)):
    os.mkdir("%s" % (PLAT_NAME))
#文件存放目录
file_dir = workpath + '/' + '%s' % (PLAT_NAME)
#print(file_dir)

for key in req_json.keys():
    server_ip_list.append(key)
#print(server_ip_list)

for i in range(len(server_ip_list)):
    var = '%s' % (PLAT_NAME) + '_' + server_ip_list[i]
    server_file.append(var)
    for key,value in req_json.items():
#        print(key,value)
        if key == server_ip_list[i]:
#            print(value)
            f = open("%s/%s" % (file_dir,var),"w")
            for line in value:
                f.write(line+'\n')
            f.close()
        else:
            continue
    result = ""
    command = 'ansible %s -m copy -a "src=./%s/%s dest=/home/yingjian/scripts" ' % (server_ip_list[i],PLAT_NAME,var)
    print(command)
    try:
        result = os.popen(command).read()
        print(result)
    except Exception as e:
        logging.error("执行Ansible脚本发生异常，异常信息：%s" % e)
    if result:
        logging.debug("返回结果：%s" % result)
    else:
        logging.debug("返回结果为空")

#print(server_file)

